## WebKitDOMKeyboardEvent

WebKitDOMKeyboardEvent

## Functions

gboolean | webkit_dom_keyboard_event_get_modifier_state ()
void | webkit_dom_keyboard_event_init_keyboard_event ()
gchar * | webkit_dom_keyboard_event_get_key_identifier ()
gulong | webkit_dom_keyboard_event_get_key_location ()
gboolean | webkit_dom_keyboard_event_get_ctrl_key ()
gboolean | webkit_dom_keyboard_event_get_shift_key ()
gboolean | webkit_dom_keyboard_event_get_alt_key ()
gboolean | webkit_dom_keyboard_event_get_meta_key ()
gboolean | webkit_dom_keyboard_event_get_alt_graph_key ()

## Properties

gboolean | alt-graph-key | Read
gboolean | alt-key | Read
gboolean | ctrl-key | Read
gchar * | key-identifier | Read
gulong | key-location | Read
gboolean | meta-key | Read
gboolean | shift-key | Read

## Types and Values

| WebKitDOMKeyboardEvent

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMEvent
                ╰── WebKitDOMUIEvent
                    ╰── WebKitDOMKeyboardEvent

## Description

## Functions

### webkit_dom_keyboard_event_get_modifier_state ()

    gboolean
    webkit_dom_keyboard_event_get_modifier_state
                                   (WebKitDOMKeyboardEvent *self,
                                    const gchar *keyIdentifierArg);

#### Parameters

self | A WebKitDOMKeyboardEvent |
keyIdentifierArg | A gchar |

#### Returns

A gboolean

### webkit_dom_keyboard_event_init_keyboard_event ()

    void
    webkit_dom_keyboard_event_init_keyboard_event
                                   (WebKitDOMKeyboardEvent *self,
                                    const gchar *type,
                                    gboolean canBubble,
                                    gboolean cancelable,
                                    WebKitDOMDOMWindow *view,
                                    const gchar *keyIdentifier,
                                    gulong location,
                                    gboolean ctrlKey,
                                    gboolean altKey,
                                    gboolean shiftKey,
                                    gboolean metaKey,
                                    gboolean altGraphKey);

#### Parameters

self | A WebKitDOMKeyboardEvent |
type | A gchar |
canBubble | A gboolean |
cancelable | A gboolean |
view | A WebKitDOMDOMWindow |
keyIdentifier | A gchar |
location | A gulong |
ctrlKey | A gboolean |
altKey | A gboolean |
shiftKey | A gboolean |
metaKey | A gboolean |
altGraphKey | A gboolean |

### webkit_dom_keyboard_event_get_key_identifier ()

    gchar *
    webkit_dom_keyboard_event_get_key_identifier
                                   (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gchar

### webkit_dom_keyboard_event_get_key_location ()

    gulong
    webkit_dom_keyboard_event_get_key_location
                                   (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gulong

### webkit_dom_keyboard_event_get_ctrl_key ()

    gboolean
    webkit_dom_keyboard_event_get_ctrl_key
                                   (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gboolean

### webkit_dom_keyboard_event_get_shift_key ()

    gboolean
    webkit_dom_keyboard_event_get_shift_key
                                   (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gboolean

### webkit_dom_keyboard_event_get_alt_key ()

    gboolean
    webkit_dom_keyboard_event_get_alt_key (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gboolean

### webkit_dom_keyboard_event_get_meta_key ()

    gboolean
    webkit_dom_keyboard_event_get_meta_key
                                   (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gboolean

### webkit_dom_keyboard_event_get_alt_graph_key ()

    gboolean
    webkit_dom_keyboard_event_get_alt_graph_key
                                   (WebKitDOMKeyboardEvent *self);

#### Parameters

self | A WebKitDOMKeyboardEvent |

#### Returns

A gboolean

## Types and Values

### WebKitDOMKeyboardEvent

    typedef struct _WebKitDOMKeyboardEvent WebKitDOMKeyboardEvent;

## Property Details

### The `“alt-graph-key”` property

      “alt-graph-key”            gboolean

read-only gboolean KeyboardEvent:alt-graph-key.

Flags: Read

Default value: FALSE

### The `“alt-key”` property

      “alt-key”                  gboolean

read-only gboolean KeyboardEvent:alt-key.

Flags: Read

Default value: FALSE

### The `“ctrl-key”` property

      “ctrl-key”                 gboolean

read-only gboolean KeyboardEvent:ctrl-key.

Flags: Read

Default value: FALSE

### The `“key-identifier”` property

      “key-identifier”           gchar *

read-only gchar* KeyboardEvent:key-identifier.

Flags: Read

Default value: ""

### The `“key-location”` property

      “key-location”             gulong

read-only gulong KeyboardEvent:key-location.

Flags: Read

### The `“meta-key”` property

      “meta-key”                 gboolean

read-only gboolean KeyboardEvent:meta-key.

Flags: Read

Default value: FALSE

### The `“shift-key”` property

      “shift-key”                gboolean

read-only gboolean KeyboardEvent:shift-key.

Flags: Read

Default value: FALSE